Main Page Modules Data Structures File List Data Fields Globals Related Pages

# wpcap_remote.htm File Reference

Go to the source code of this file.

## Functions
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote | daemon</b > (called< code >rpcapd</code >) which performs the capture and sends data back and a< b >local client</b >that sends the appropriate commands and receives the captured data.</p >< p >WinPcap 3.0 extends the standard WinPcap code in such a way that all WinPcap-based tools can expoit remote capture capabilities.For instance
## Variables
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice | versa
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed(and configured) on the remote machine.</p >< h2 >Remote Capture Running Modes</h2 >< p >The Remote Capture Protocol(RPCAP) can work in two mode | then )
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed(and configured) on the remote machine.</p >< h2 >Remote Capture Running Modes</h2 >< p >The Remote Capture Protocol(RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes< i > active< /i > instead of< i > waiting< /i > for new connections< /li ></ul >< p > The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In thi | case )
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed(and configured) on the remote machine.</p >< h2 >Remote Capture Running Modes</h2 >< p >The Remote Capture Protocol(RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes< i > active< /i > instead of< i > waiting< /i > for new connections< /li ></ul >< p > The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In this the daemon can be configured to establish the connection to a give | host )
< html >< head >< metahttp-equiv="Content-Type"content="text/html;charset=windows-1252">< metaname="GENERATOR"content="MicrosoftFrontPage4.0">< metaname="ProgId"content="FrontPage.Editor.Document">< title > Using WinPcap Remote Capture</title ></head >< body >< hr >< p > WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p >< p > This requires a< b > remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed(and configured) on the remote machine.</p >< h2 >Remote Capture Running Modes</h2 >< p >The Remote Capture Protocol(RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes< i > active< /i > instead of< i > waiting< /i > for new connections< /li ></ul >< p > The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In this the daemon can be configured to establish the connection to a given which will have been configured in order to< i > wait</i > for that connection After establishing th | connection )

## Function Documentation

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote daemon</b > | ( | called< code >rpcapd</code > |  | ) |

## Variable Documentation

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed (and configured) on the remote machine.</p> <h2>Remote Capture Running Modes</h2> <p>The Remote Capture Protocol (RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes<i> active</i> instead of<i> waiting</i> for new connections</li></ul><p> The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In thi case)

| Definition at line 23 of file wpcap_remote.htm.

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed (and configured) on the remote machine.</p> <h2>Remote Capture Running Modes</h2> <p>The Remote Capture Protocol (RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes<i> active</i> instead of<i> waiting</i> for new connections</li></ul><p> The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In this the daemon can be configured to establish the connection to a given which will have been configured in order to<i> wait</i> for that connection After establishing th connection)

| Definition at line 23 of file wpcap_remote.htm.

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed (and configured) on the remote machine.</p> <h2>Remote Capture Running Modes</h2> <p>The Remote Capture Protocol (RPCAP) can work in two modes the client sends the appropriate commands to the daemon and it starts the capture This name is due to the fact thet the daemon becomes<i> active</i> instead of<i> waiting</i> for new connections</li></ul><p> The Active Mode is useful in case the remote daemon is behind a firewall and it cannot receive connections from the external world In this the daemon can be configured to establish the connection to a give host)

| Definition at line 23 of file wpcap_remote.htm. Referenced by pcap_findalldevs_ex(), pcap_open(), pcap_open_live(), pcap_opensource_remote(), pcap_parsesrcstr(), and pcap_startcapture_remote().

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice the remote daemon must be explicitely installed (and configured) on the remote machine.</p> <h2>Remote Capture Running Modes</h2> <p>The Remote Capture Protocol (RPCAP) can work in two mode then)

| Definition at line 23 of file wpcap_remote.htm.

<html><head><metahttp-equiv="Content-Type"content="text/html;charset=windows-1252"><metaname="GENERATOR"content="MicrosoftFrontPage4.0"><metaname="ProgId"content="FrontPage.Editor.Document"><title> Using WinPcap Remote Capture</title></head><body><hr><p> WinPcap comes with Remote Capture capabilities This is an highly experimental feature that allows to interact to a remote machine and capture packets that are being transmitted on the remote network</p><p> This requires a<b> remote the capabillity to interact with a remote daemon are added to the client software without any modification to it Vice versa

| Definition at line 22 of file wpcap_remote.htm.

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.